Skip to main content
GET
Gets consumers privacy level details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

level
enum<string>
required

The level of privacy policy.

Available options:
basic,
targeting,
statistics,
smart_ranking,
transaction_triggers

Response

OK

content
string
required
read-only

Description of the privacy policy.

level
enum<string>
required
read-only

Level of the given privacy policy.

Available options:
BASIC,
TRANSACTION_TRIGGERS,
TARGETING,
STATISTICS,
SMART_RANKING,
WEB_ANALYTICS
program_id
string<uuid>
required
read-only

ID of the program.

created_at
string<date-time>
read-only

Object creation datetime

Example:

"2019-01-31T15:16:15.523309+00:00"

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

updated_at
string<date-time> | null
read-only

Date of the last update

Example:

"2020-01-23T12:00:00+00:00"